




##***DOXYGEN***


**Pour générer et visualiser la documentation Doxygen sur linux :**

1. Si vous n'avez pas Doxygen installez-le à l'aide de la commande :    sudo apt-get install doxygen-gui
2. Pour ouvrir Doxywizard tapez : doxywizard
3. Dans "Working directory" mettre l'emplacement du jeu, là où vous l'avez téléchargé finissant en "game-insa-project"
4. Dans "Source code directory", mettre "game-insa-project/GAME" (à ajuster selon l'emplacement sur votre ordinateur) et cocher "Scan recursively"
5. Dans "Destination directory", mettre l'emplacement où vous souhaitez générer le lien pour la documentation
6. Page suivante "Mode", cocher "All Entities" et "Optimize for C or PHP output"
7. Page suivante "Output", cocher "with panel navigation" et décocher "LaTex"
8. Page suivante "Diagrams", cocher "No diagrams"
9. Page suivante cliqué sur "run" et ensuite "show HTML output" pour visualiser la documentation.



**Pour générer la documentation Doxygen sur windows :**

* Si vous n'avez pas Doxygen installez-le: https://doxygen.nl/files/doxygen-1.9.1-setup.exe
1. Ouvrir Doxywizard
2. Dans "Working directory" mettre l'emplacement du jeu, là où vous l'avez téléchargé finissant en "game-insa-project"
3. Dans "Source code directory", mettre "game-insa-project/GAME" (à ajuster selon l'emplacement sur votre ordinateur) et cocher "Scan recursively"
4. Dans "Destination directory", mettre l'emplacement où vous souhaitez générer le lien pour la documentation
5. Page suivante "Mode", cocher "All Entities" et "Optimize for C or PHP output"
6. Page suivante "Output", cocher "with panel navigation" et décocher "LaTex"
7. Page suivante "Diagrams", cocher "No diagrams"

Pour visualiser la documentation:
1. Aller à l'emplacement défini précédemment dans "Destination directory"
2. Double-cliquer sur "Doxyfile" et exécuter le fichier avec "doxygen.exe"
3. Un fichier html vient d'être généré, l'ouvrir et cliquer sur index.html
4. Une fenêtre s'ouvre dans votre navigateur. Vous avez maintenant accès à toute la documentation. Vous pouvez d'ailleurs directement y visualiser ce fichier.

*****
##***BIBLIOTHEQUE***

**Pour installer SDL2, SDL2_image, SDL2_mixer, et SDL2_ttf sur Windows :**

1. Si vous n’avez pas TDM-GCC-64, installez-le voici le lien :
   https://github.com/jmeubank/tdm-gcc/releases/download/v9.2.0-tdm64-1/tdm64-gcc-9.2.0.exe
   Installé le dans le /C:

2. Téléchargez SDL2 https://www.libsdl.org/release/SDL2-devel-2.0.14-mingw.tar.gz

3. Dans C:/TDM-GCC-64 mettre les fichiers ci-dessous issus de la bibliothèque SDL2 :
   bin dans bin
   include/SDL2 dans x86_64-w64-mingw32/include
   lib (sauf pkgconfig) dans x86_64-w64-mingw32/lib

4. Recommencer l'étape 3 avec SDL2_image, SDL2_mixer, et SDL2_ttf
   SDL2_image : https://www.libsdl.org/projects/SDL_image/release/SDL2_image-devel-2.0.5-mingw.tar.gz
   SDL2_mixer : https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-devel-2.0.4-mingw.tar.gz
   SDL2_ttf : https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-devel-2.0.15-mingw.tar.gz


**Pour installer SDL2, SDL2_image, SDL2_mixer, et SDL2_ttf sur linux**

1. Dans un terminal faire :
   sudo apt install libsdl2-dev
   sudo apt install libsdl2-image-dev
   sudo apt install libsdl2-mixer-dev
   sudo apt-get install libsdl-ttf2.0-dev

*****
##***TESTS UNITAIRES***

**Pour lancer les tests unitaires utilisable que sous windows**

1. Dans le dossier GAME faire :
   git clone https://github.com/google/googletest.git

2. Dans le CMakeLists.txt modifier :
   set(BUILD_TEST OFF) --> set(BUILD_TEST ON)

*****
##***VALGRIND***

**Pour installer et Configurer Valgrind, possible que sur linux**
1. L’installer avec la commande : sudo apt-get install valgrind
2. Dans CLion, faut aller dans Settings / Preferences | Build, Exécution, Deployment | Dynamic Analysis Tools | Valgrind
   CLion détecte automatiquement le path de Valgrind sinon il faut l'indiquer.
3. Ensuite il faut lancer le projet avec Valgrind

*****
##***POUR LANCER LE JEU***
1. Pour lancer le jeu pour la première fois il faut le faire depuis CLion
2. Pour relancer le jeu il est possible de le faire directement depuis le terminal Aller dans : game-insa-project/GAME/cmake-build-debug
3. faire ./INSAGAME
