/*!
 * \file window.h
 * \brief Window Header File
 * \authors Kaan
 * \version 2
 * \date 09/04/2021
 *
 * Timer functions definiton.
 *
 */

#ifndef INSAGAME_TIMER_H
#define INSAGAME_TIMER_H
#include <stdio.h>
#include <stdlib.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include <time.h>
#include <SDL2/SDL_ttf.h>
#include "personnage.h"
#include "window.h"
void init_timer();
void timer_countdown( Personnage *hero, long seconde, int* time_remaining);

#endif /*INSAGAME_TIMER_H*/
