/*
// Created by Lucile on 10/04/2021.
*/

#ifndef INSAGAMETEST_TEST_BUTTON_H
#define INSAGAMETEST_TEST_BUTTON_H

#include <gtest/gtest.h>
extern "C"{
#include "button.h"
}

TEST(test_init_button,values_3_4_5_6_testimage) {
    Button button;
    init_button(&button, 3, 4, 5, 6);
    EXPECT_EQ(3,button.x_button);
    EXPECT_EQ(4,button.y_button);
    EXPECT_EQ(5,button.long_button);
    EXPECT_EQ(6,button.larg_button);
    EXPECT_EQ(0, button.state);
}

TEST(test_click, values_in_button){
    Button button;
    int res;
    init_button(&button, 2, 3, 4, 4);
    res=clicked(3, 4, &button);
    EXPECT_EQ(1,button.state);
    EXPECT_EQ(1, res);
}

TEST(test_click, values_out_button){
    Button button;
    int res;
    init_button(&button, 2, 2, 1, 1);
    res=clicked(34, 4, &button);
    EXPECT_EQ(0,button.state);
    EXPECT_EQ(0, res);
}

#endif /*INSAGAMETEST_TEST_BUTTON_H*/
